#! /bin/bash

# Configure environment vars for Java samples
# Parameter 1: The relative path from the current directory to the directory
# where this script is.  For example, if this script is
# in C:\Xbinder\java and you are invoking this script from
# C:\XBinder\java\sample\mySample, pass "..\.."

# change to this directory (<XBINDER HOME>\java)
pushd $1

# change to XBinder home and capture it
cd ..
OSROOTDIR=$(pwd)

RT_JAR=$OSROOTDIR/java/xbrt.jar

STAX=$OSROOTDIR/java/stax

STAX_JARS=$STAX/stax-api-1.0.1.jar:$STAX/woodstox-core-asl-4.0.5.jar:$STAX/stax2-api-3.0.1.jar

# return to original directory
popd

